Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.xml
Class QXmlStreamReader.Error

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.xml.QXmlStreamReader.Error

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QXmlStreamReader

    public static final class QXmlStreamReader.Error

extends java.lang.Enum
implements QtEnumerator

This enum specifies different error cases

See Also:
  Serialized Form

Field Summary
`static QXmlStreamReader.Error` | `CustomError` A custom error has been raised with `raiseError()`
`static QXmlStreamReader.Error` | `NoError` No error has occurred.
`static QXmlStreamReader.Error` | `NotWellFormedError` The parser internally raised an error due to the read XML not being well-formed.
`static QXmlStreamReader.Error` | `PrematureEndOfDocumentError` The input stream ended before the document was parsed completely.
`static QXmlStreamReader.Error` | `UnexpectedElementError` The parser encountered an element that was different to those it expected.

Method Summary
`static QXmlStreamReader.Error` | `resolve(int value)` Returns the Error constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QXmlStreamReader.Error` | `valueOf(java.lang.String name)`
`static QXmlStreamReader.Error[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoError

    public static final QXmlStreamReader.Error NoError

  No error has occurred.

### UnexpectedElementError

    public static final QXmlStreamReader.Error UnexpectedElementError

  The parser encountered an element that was different to those it expected.

### CustomError

    public static final QXmlStreamReader.Error CustomError

  A custom error has been raised with `raiseError()`

### NotWellFormedError

    public static final QXmlStreamReader.Error NotWellFormedError

  The parser internally raised an error due to the read XML not being well-formed.

### PrematureEndOfDocumentError

    public static final QXmlStreamReader.Error PrematureEndOfDocumentError

  The input stream ended before the document was parsed completely. This error can be recovered from.

Method Detail

### values

    public static QXmlStreamReader.Error[] values()

### valueOf

    public static QXmlStreamReader.Error valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QXmlStreamReader.Error resolve(int value)

  Returns the Error constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD